Bug 138427 - Update from Oct 28th 2004 for FC2 conflicts with released FC3 package
Update from Oct 28th 2004 for FC2 conflicts with released FC3 package
Product: Fedora
Classification: Fedora
Component: libxml2 (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Veillard
Depends On:
  Show dependency treegraph
Reported: 2004-11-09 00:56 EST by Robert 'Bob' Jensen
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-11-30 10:19:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Robert 'Bob' Jensen 2004-11-09 00:56:51 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)

Description of problem:
Updated package from October 28th 2004 for Fedora Core 2
(libxml2-python-2.6.15-2) is newer than that shipped with Fedora Core
3 (libxml2-python-2.6.14-2) this causes conflict after upgrading via

Version-Release number of selected component (if applicable):
libxml2-python-2.6.14-2 libxml2-python-2.6.15-2

How reproducible:

Steps to Reproduce:
1.Upgrade FC2 using yum or up2date
2.Upgrade to release FC3 using CDs

Actual Results:  yum and up2date fail

Additional info:
Comment 1 Daniel Veillard 2004-11-09 07:39:09 EST
"cause conflict" : how ???  Describe what is happening. This should
not be a problem, i.e. this should not prevent the upgrade.

Comment 2 Robert 'Bob' Jensen 2004-11-09 10:29:57 EST
The conflicts I found were post CD upgrade. tThe problems I found were
with yum and up2date from the FC3 CD. The solution I came up with was
to downgrade the installed packages to match the CD version.
Comment 3 Daniel Veillard 2004-11-09 10:47:29 EST
I am still asking "cause conflict", how did the problem show up ?
what did break ? when ? In which circumstances ? During the update ? 
what message did you got ? Did the upgrade completed anyway ?

In a nutshell what did *actually* happen, not the 2 lines about
what you think happened please !

Comment 4 Daniel Veillard 2004-11-09 10:50:09 EST
I.e. what is yum saying ? What is up2date saying ? How did you
called them ?
This should not break, you may get a warning that the installed
version is older than the available one. This is not a problem.
Only if they fail to update other packages then this is a bug
and this should be fixed in yum or up2date !

Comment 5 Robert 'Bob' Jensen 2004-11-09 11:12:04 EST
Sorry for the incomplete info, I am new to this bug thing.

My FC2 box was "up2date". 

I used the FC3 CDs to upgrade my system. This went fine from what I
could tell.

Post upgrade I attempted to use yum to update my machine when I found
the problem. Below you will find the message from yum, a message close
to this was reported when I attempted to use up2date, sorry I do not
have the exact error.

# yum update
Traceback (most recent call last):
  File "/usr/bin/yum", line 6, in ?
    import yummain
  File "/usr/share/yum-cli/yummain.py", line 23, in ?
    import yum
  File "/usr/lib/python2.3/site-packages/yum/__init__.py", line 33, in ?
    import groups
  File "/usr/lib/python2.3/site-packages/yum/groups.py", line 3, in ?
    import comps
  File "/usr/lib/python2.3/site-packages/yum/comps.py", line 5, in ?
    import libxml2
  File "/usr/lib/python2.3/site-packages/libxml2.py", line 1, in ?
    import libxml2mod
ImportError: /usr/lib/python2.3/site-packages/libxml2mod.so: undefined
symbol: xmlNewDocPI

I originally reported this bug as a yum bug #138425. I was told in
#fedora that it should have been reported here.
Comment 6 Daniel Veillard 2004-11-09 11:20:38 EST
thanks, can you report the output of

rpm -q libxml2 libxml2-devel libxml2-python 

/usr/lib/python2.3/site-packages/libxml2mod.so comes from libxml2-python
the only possibility of this arising is if libxml2 and libxml2-python
rpms are not in sync.

Comment 7 Robert 'Bob' Jensen 2004-11-09 11:30:44 EST
I have resolved the issue on my machine so currently all are 2.6.14-2.
When I noticed this atleast libxml2-python and libxml2-devel were
2.6.15-2 I am not sure about libxml2.
Comment 8 Daniel Veillard 2004-11-30 10:19:34 EST
Since you're the only person reporting this, and that 
a number of people have now upgraded from Fedora Core 2 to
Fedora Core 3, it seems a relatively rare hard to reproduce failure.
Since you don't have the environment allowing to debug this further
I think we won't be able to fix this problem.



Note You need to log in before you can comment on or make changes to this bug.